Bug 252173 - gstreamer plugins are not selected to be multilib packages when composing a tree
Summary: gstreamer plugins are not selected to be multilib packages when composing a tree
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mash
Version: rawhide
Hardware: ppc64
OS: Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-14 13:52 UTC by Bastien Nocera
Modified: 2014-03-17 03:08 UTC (History)
3 users (show)

Fixed In Version: mash-0.5.20-1.el5
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-05 19:08:53 UTC


Attachments (Terms of Use)

Description Bastien Nocera 2007-08-14 13:52:15 UTC
gstreamer-plugins-good-devel.ppc64 is available in F7, but not
gstreamer-plugins-good.ppc64.

# yum -C --enablerepo=fedora-debuginfo --enablerepo=updates-debuginfo
--enablerepo=updates-testing-debuginfo --enablerepo=updates-testing search
gstreamer-plugins-goo
Loading "installonlyn" plugin



gstreamer-plugins-good-devel.ppc         0.10.5-6.fc7           installed       
Matched from:
gstreamer-plugins-good-devel



gstreamer-plugins-good.ppc               0.10.5-6.fc7           fedora          
Matched from:
gstreamer-plugins-good



gstreamer-plugins-good-devel.ppc64       0.10.5-6.fc7           fedora          
Matched from:
gstreamer-plugins-good-devel



gstreamer-plugins-good.ppc               0.10.5-6.fc7           installed       
Matched from:
gstreamer-plugins-good



gstreamer-plugins-good-devel.ppc         0.10.5-6.fc7           fedora          
Matched from:
gstreamer-plugins-good-devel



gstreamer-plugins-good-devel.ppc64       0.10.5-6.fc7           installed       
Matched from:
gstreamer-plugins-good-devel



gstreamer-plugins-good-debuginfo.ppc     0.10.5-6.fc7           fedora-debuginfo
Matched from:
gstreamer-plugins-good-debuginfo
Debug information for package gstreamer-plugins-good
This package provides debug information for package gstreamer-plugins-good.
Debug information is useful when developing applications that use this
package or when debugging this package.

Comment 1 Bastien Nocera 2007-08-14 13:57:14 UTC
It doesn't seem to be in rawhide either:

# yum -y --enablerepo=fedora-debuginfo --enablerepo=updates-debuginfo
--enablerepo=updates-testing-debuginfo --enablerepo=updates-testing
--enablerepo=development install gstreamer-plugins-good.ppc64
Loading "installonlyn" plugin
Setting up Install Process
Parsing package install arguments
Nothing to do


Comment 2 Bastien Nocera 2007-08-14 13:59:34 UTC
The package was actually built though:
http://koji.fedoraproject.org/koji/buildinfo?buildID=13493

Comment 3 Jesse Keating 2007-08-14 14:11:36 UTC
why would you want this?  ppc64 packages on ppc are treated as the multilib
packages, as such only specifically needed things are directly considered
(kernel/glibc/etc..), then everything else is a result of the -devel package
being considered for cross arch development, and the direct dependencies
therein.  Nothing that matches the above (simplified) criteria pulls in
gstreamer-plugins-good as ppc64.  Is this causing any real problem?

Comment 4 Bastien Nocera 2007-08-14 14:46:42 UTC
It's needed for totem, rhythmbox, and any gstreamer applications to run on
PPC64. Otherwise, I might just excludearch ppc64 for those packages.

Comment 5 Bastien Nocera 2007-08-14 14:49:02 UTC
Note that there's a requires in Totem for this package. Should I have added the
specific arch in the deps?

$ grep plugins-good totem.spec 
Requires: gstreamer-plugins-good >= %gstreamer_plugins_good_version
BuildRequires: gstreamer-plugins-good >= %gstreamer_plugins_good_version
- Add gstreamer-plugins-good as a builddep so that gconfaudiosink


Comment 6 Bug Zapper 2008-05-14 13:58:40 UTC
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bill Nottingham 2008-05-16 21:02:47 UTC
We don't select gstreamer plugins to be multilib packages when composing a tree.
Theoretically we should.

Comment 8 Bill Nottingham 2008-12-05 19:08:53 UTC
Will be fixed in 0.4.3-1.

Comment 9 Fedora Update System 2010-05-07 17:53:32 UTC
mash-0.5.16-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/mash-0.5.16-1.el5

Comment 10 Fedora Update System 2010-09-28 16:18:32 UTC
mash-0.5.20-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mash-0.5.20-1.el5

Comment 11 Fedora Update System 2010-10-13 05:56:55 UTC
mash-0.5.20-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.